#include <algorithm>
#include <iostream>
#include <vector>
using namespace std;

int main() {
    int t, k, suma=0;
    cin >> t >> k;
    //vector <int> solve (vector<int>a);
    float drs;

    int id[k];

    int niza[k];
    for (int i=0; i<k; i++) {
        cin >> niza[i];
        id[i]=i;
        suma+=niza[i];
    }
    drs=suma/2.0;
    int p=0;

   // sort (niza.begin(), niza.end());
    for (int i=0; i<k; i++) {
        for (int j=i+1; j<k; j++) {
            if (niza[i]>niza[j]) {
                swap(id[i],id[j]);
                swap(niza[i], niza[j]);

            }

        }
    }

    for (int i=k-1; i>=0; i-=2) {
        cout<<id[i];
    }
    for (int i=k-2; i<=0; i-=2) {
        cout<<id[i]<<" ";
    }



    return 0;
}